• signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust


    I’ve tried to update system and got error for antergos packages:

    error: gnome-shell-extension-dash-to-dock: signature from “Antergos Build Server (Automated Package Build System) [email protected]” is unknown trust
    :: File /var/cache/pacman/pkg/gnome-shell-extension-dash-to-dock-1:v47-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n]

    I’ve tried solution from this topic:
    Cannot upgrade: “invalid or corrupted package” , but it doesn’t work.
    Any suggestions?

  • I have the same problem. I cant upgrade ttf-google-fonts package too.

  • Same problem.

    error: dropbox: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/dropbox-3.8.6-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] n
    error: profile-sync-daemon: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/profile-sync-daemon-5.75-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] n
    error: ttf-google-fonts: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/ttf-google-fonts-20150805.r201-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] n
    error: failed to commit transaction (invalid or corrupted package (PGP signature))
    Errors occurred, no packages were upgraded.
    
  • Same here…😄

  • @cadecairos
    Thanks for link, it works with new keyring!

    Edit:
    I don’t know how to change topic to solved?

  • @m110s said:

    …I don’t know how to change topic to solved?

    Start editing your topic. Scroll down until you see three [Reply] [Sort by] [Topic Tools] buttons in the lower right corner

    antergos-forum-mark-as-solved.png

    Click the [Topic Tools] button - the rightmost one.

    From popup menu that opens set topic’s status to [Solved] .

  • I’ve done everything listed in this thread and still got the same error. I tried a clean installation on a new hard drive and still get the same error.

    Help?
    Norman

  • @norman881

    This didn’t help? sudo pacman -Syy antergos-keyring

  • @Wyn it did for me😃

  • @Wyn That worked. Thank you!

    Norman

  • Worked for me also. Thanks.

  • @Wyn Didn’t work for me, I’m still getting the same error

    error: antergos-keyring: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is marginal trust
    :: File /var/cache/pacman/pkg/antergos-keyring-20170524-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    

    Helpp

  • @AlejandroC90 do not delete the file and install it with:

    sudo pacman -U /var/cache/pacman/pkg/antergos-keyring-20170524-1-any.pkg.tar.xz
    

    As i think this is only caused by keychange upstream … so not a real corruption.

Posts 14Views 11949
Locked
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.